Subject: Re: bug#53561: Failing: guix package -i gtkmm@3

From: Leo Famulari <[email-masked]>
Date: Sat, 29 Jan 2022 19:55:58 -0500

On Sun, Jan 30, 2022 at 12:37:06AM +0000, Dale Mellor wrote:
> > > The following package will be installed:
> > >    gtkmm 3.24.5
> > > 
> > > guix package: error: profile contains conflicting entries for libsigc++
> > > guix package: error:   first entry: [email-masked] /gnu/store/ng4k2yl94d758p5vnashd4nvyb1aw8s1-libsigc++-3.0.6
> > > guix package: error:    ... propagated from [email-masked]
> > > guix package: error:    ... propagated from [email-masked]
> > > guix package: error:   second entry: [email-masked] /gnu/store/iad8jg1fm7jsq0pqj547f3n5s2jn9rp0-libsigc++-2.9.3
> > > guix package: error:    ... propagated from [email-masked]
> > > guix package: error:    ... propagated from [email-masked]
> > > guix package: error:    ... propagated from [email-masked]
> > > hint: You cannot have two different versions or variants of `gtkmm' in the same profile.
> 
>   I'm reporting that it did not work.

Okay. Is the hint unclear?

The hint is saying that you are trying to install a package that would
conflict with packages that are already installed.

Specifically, you already have installed a package that "propagates"
libsigc++. That means that the package installs libsigc++ alongside
itself.

Now, you are trying to install another package that propagates a
different version of libsigc++. They cannot both be installed in the
same profile.

Guix includes two versions of libsigc++, but you cannot install both of
them in the same generation of a profile.

In general, I think that installing gtkmm is unusual. Gtkmm seems like
something that is used by other programs internally rather than directly
by users. What are you trying to accomplish by installing gtkmm?

I'm very interesting in your experience with this situation, because
other Guix users have expressed confusion with it. I'm planning to
improve the documentation about these "conflicting entries" errors.